# Asterisk Project : Asterisk 13 Function_EXCEPTION

Created by wikibot on Aug 08, 2014

# EXCEPTION()

### Synopsis

Retrieve the details of the current dialplan exception.

### Description

Retrieve the details (specified field) of the current dialplan exception.

### Syntax

    EXCEPTION(field)

##### Arguments

- `field` - The following fields are available for retrieval:
  - `reason` - INVALID, ERROR, RESPONSETIMEOUT, ABSOLUTETIMEOUT, or custom value set by the RaiseException() application
  - `context` - The context executing when the exception occurred.
  - `exten` - The extension executing when the exception occurred.
  - `priority` - The numeric priority executing when the exception occurred.

### See Also

- Asterisk 13 Application_RaiseException

### Import Version

This documentation was imported from Asterisk Version SVN-branch-13-r420538